<template>
  <Modal :title="data.title">
    <form
      @submit.prevent="
        existing_record
          ? form.patch(data.urls.submit_form)
          : form.post(data.urls.submit_form)
      "
    >
      <Input v-model="form.name" name="name" :label="__('Name')" :required="true" />

      <Input
        v-model="form.percentage"
        :label="__('Markup percentage')"
        :tooltip="__('Markup percentage to be added to the price per word')"
        name="percentage"
        @keypress="onlyNumber($event, form.percentage)"
      />
      <SubmitButton :disabled="form.processing" />
    </form>
  </Modal>
</template>

<script>
import { Input, SubmitButton } from "../../../../components/Form/Index.js";

export default {
  components: {
    Input,
    SubmitButton,
  },
  props: ["data", "existing_record"],
  data() {
    return {
      form: this.$inertia.form(this.prepareForm()),
    };
  },
  methods: {
    prepareForm() {
      let inputs = {
        name: null,
        percentage: null,
      };
      if (this.existing_record) {
        inputs = { ...inputs, ...this.existing_record };
      }
      return inputs;
    },
  },
};
</script>
